# Class TypesUtils

Namespace
  adas_core.Infrastructure.Utils

Assembly
  adas-core.Infrastructure.dll

Provides static utility methods for working with types.

    public static class TypesUtils

Inheritance
  object
  TypesUtils

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### GetDriver(string, string)

Retrieves the driver Type associated with the specified device type and device. Supports "Relay" (mapped to adas-core.module.Relays) and "LightBeacon" (mapped to adas-core.module.LightBeacons) device types.

    public static Type GetDriver(string deviceType, string device)

#### Parameters

`deviceType` string

  The category of the device used to determine the appropriate driver type.

`device` string

  The specific device identifier used when resolving the driver type.

#### Returns

Type

  The Type of the driver that corresponds to the given device type.

#### Exceptions

AdasException

  Thrown when the provided `deviceType` is not a recognized value.